Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Get supplier by ID

Get a supplier by id.

GET/suppliers/{supplierId}
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Path parameters
supplierIdstringrequired
Responses
200Supplier details
dataSupplierrequired
Show properties
idstring
namestring
companystring
citystring
streetstring
plzstring
organizationIdstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
deletedboolean
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
createdatestring<date-time>
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
404Not found
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X GET "https://dashboard.scango.ch/api/v1/suppliers/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {
    "id": "string",
    "name": "string",
    "company": "string",
    "city": "string",
    "street": "string",
    "plz": "string",
    "organizationId": "string",
    "email": "string",
    "payoutEmail": "string",
    "orderEmail": "string",
    "phone": "string",
    "contactPerson": "string",
    "contactPhone": "string",
    "dailyMail": "string",
    "deleted": true,
    "supplierMargin": 0,
    "iban": "string",
    "bic": "string",
    "bankName": "string",
    "payoutsEnabled": true,
    "createdate": "2024-01-01T00:00:00Z"
  }
}